
Installer - Bug #2446

installer adds a lot of unneeded configurations incorrectly

04/30/2013 03:10 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

using the following answers file

Current config is:

--- 

puppet: false

puppetmaster: false

foreman_proxy: 

  puppetca: false

  tftp: false

  dhcp: true

foreman: false

 I get the following installer log:

info: Applying configuration version '1367348651'

notice: /Stage[main]/Foreman_proxy::Tftp/Package[wget]/ensure: created

info: FileBucket adding {md5}9fd7d4c6d42368cde52f47a51e61e559

info: /File[/etc/puppet/auth.conf]: Filebucketed /etc/puppet/auth.conf to puppet with sum 9fd7d4c6

d42368cde52f47a51e61e559

notice: /File[/etc/puppet/auth.conf]/content: content changed '{md5}9fd7d4c6d42368cde52f47a51e61e5

59' to '{md5}7cc5b0639433cb46e83beebaddedd8ad'

info: FileBucket adding {md5}58e2f9765e2994db8e8ab19a3513356e

info: /File[/etc/puppet/puppet.conf]: Filebucketed /etc/puppet/puppet.conf to puppet with sum 58e2

f9765e2994db8e8ab19a3513356e

notice: /File[/etc/puppet/puppet.conf]/content: content changed '{md5}58e2f9765e2994db8e8ab19a3513

356e' to '{md5}c0e629763023ac208219c7c345969138'

notice: /Stage[main]/Puppet::Server::Passenger/Exec[generate_ca_cert]/returns: executed successful

ly

info: /Stage[main]/Puppet::Server::Passenger/Exec[generate_ca_cert]: Scheduling refresh of Service

[httpd]

notice: /File[/etc/puppet/rack]/ensure: created

notice: /File[/etc/puppet/rack/config.ru]/ensure: defined content as '{md5}e0f1c0292e8108cfed8f13f

2b44acc7b'

info: /File[/etc/puppet/rack/config.ru]: Scheduling refresh of Exec[restart_puppet]

notice: /File[/etc/puppet/rack/tmp]/ensure: created

notice: /File[/etc/puppet/rack/public]/ensure: created

notice: /Stage[main]/Apache::Install/Package[httpd]/ensure: created

info: /Stage[main]/Apache::Install/Package[httpd]: Scheduling refresh of Service[httpd]

notice: /Stage[main]/Apache::Ssl/Package[mod_ssl]/ensure: created

info: /Stage[main]/Apache::Ssl/Package[mod_ssl]: Scheduling refresh of Service[httpd]

info: /Stage[main]/Apache::Ssl/Package[mod_ssl]: Scheduling refresh of Exec[reload-apache]

notice: /Stage[main]/Passenger::Install::Redhat/Package[passenger]/ensure: created

notice: /Stage[main]/Apache::Service/Service[httpd]/ensure: ensure changed 'stopped' to 'running'

info: /Stage[main]/Apache::Service/Service[httpd]: Unscheduling refresh on Service[httpd]
notice: /File[puppet_vhost]/ensure: defined content as '{md5}8aaa05a34a106fb580880e93fcf729b0'

info: /File[puppet_vhost]: Scheduling refresh of Exec[reload-apache]

notice: /File[/var/cache/mod_ssl/scache]/ensure: created

info: /File[/var/cache/mod_ssl/scache]: Scheduling refresh of Exec[reload-apache]

notice: /File[/var/www]/owner: owner changed 'root' to 'apache'

notice: /File[/var/www]/group: group changed 'root' to 'apache'

info: create new repo foreman_proxy in file /etc/yum.repos.d/foreman_proxy.repo

notice: /Stage[main]/Foreman_proxy::Install/Foreman::Install::Repos[foreman_proxy]/Yumrepo[foreman

_proxy]/descr: descr changed '' to 'Foreman stable repository'

notice: /Stage[main]/Foreman_proxy::Install/Foreman::Install::Repos[foreman_proxy]/Yumrepo[foreman

_proxy]/baseurl: baseurl changed '' to 'http://yum.theforeman.org/releases/latest/el6/$basearch'

notice: /Stage[main]/Foreman_proxy::Install/Foreman::Install::Repos[foreman_proxy]/Yumrepo[foreman

_proxy]/enabled: enabled changed '' to '1'

notice: /Stage[main]/Foreman_proxy::Install/Foreman::Install::Repos[foreman_proxy]/Yumrepo[foreman

_proxy]/gpgcheck: gpgcheck changed '' to '0'

info: changing mode of /etc/yum.repos.d/foreman_proxy.repo from 600 to 644

notice: /Stage[main]/Foreman_proxy::Install/Package[foreman-proxy]/ensure: created

notice: /Stage[main]/Xinetd::Install/Package[xinetd]/ensure: created

notice: /Stage[main]/Puppet::Server::Install/Package[puppet-server]/ensure: created

notice: /Stage[main]/Puppet::Server::Passenger/Exec[restart_puppet]: Triggered 'refresh' from 1 ev

ents

notice: /File[/var/lib/puppet/ssl/private_keys/pm02.sat.lab.tlv.redhat.com.pem]/seluser: seluser c

hanged 'unconfined_u' to 'system_u'

info: /File[/var/lib/puppet/ssl/private_keys/pm02.sat.lab.tlv.redhat.com.pem]: Scheduling refresh 

of Service[puppetmaster]

notice: /File[/var/lib/puppet/reports]/ensure: created

info: /File[/var/lib/puppet/reports]: Scheduling refresh of Service[puppetmaster]

notice: /File[/etc/puppet/modules]/ensure: created

info: /File[/etc/puppet/modules]: Scheduling refresh of Service[puppetmaster]

notice: /File[/etc/puppet/modules/development]/ensure: created

info: /File[/etc/puppet/modules/development]: Scheduling refresh of Service[puppetmaster]

notice: /File[/etc/puppet/modules/production]/ensure: created

info: /File[/etc/puppet/modules/production]: Scheduling refresh of Service[puppetmaster]

notice: /File[/etc/puppet/modules/common]/ensure: created

info: /File[/etc/puppet/modules/common]: Scheduling refresh of Service[puppetmaster]

notice: /File[/etc/puppet/manifests/site.pp]/ensure: created

info: /File[/etc/puppet/manifests/site.pp]: Scheduling refresh of Service[puppetmaster]

notice: /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]/comment: comment changed 'Foreman P

roxy deamon user' to 'Foreman Proxy account'

notice: /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]/groups: groups changed '' to 'puppe

t'

info: /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]: Scheduling refresh of Service[forema

n-proxy]

info: /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]: Scheduling refresh of Service[forema

n-proxy]

info: /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]: Scheduling refresh of Service[forema

n-proxy]

info: /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]: Scheduling refresh of Service[forema

n-proxy]

notice: /File[/etc/puppet/autosign.conf]/ensure: created

info: FileBucket adding {md5}76074f3810367e8895087127262c2f7c

info: /File[/etc/foreman-proxy/settings.yml]: Filebucketed /etc/foreman-proxy/settings.yml to pupp

et with sum 76074f3810367e8895087127262c2f7c

notice: /File[/etc/foreman-proxy/settings.yml]/content: content changed '{md5}76074f3810367e889508

7127262c2f7c' to '{md5}8b77231aaa5e6d9633c967e08f4be311'

notice: /File[/etc/foreman-proxy/settings.yml]/owner: owner changed 'root' to 'foreman-proxy'

notice: /File[/etc/foreman-proxy/settings.yml]/group: group changed 'root' to 'foreman-proxy'

info: /File[/etc/foreman-proxy/settings.yml]: Scheduling refresh of Service[foreman-proxy]

info: /File[/etc/foreman-proxy/settings.yml]: Scheduling refresh of Service[foreman-proxy]

info: /File[/etc/foreman-proxy/settings.yml]: Scheduling refresh of Service[foreman-proxy]

info: /File[/etc/foreman-proxy/settings.yml]: Scheduling refresh of Service[foreman-proxy]

info: /File[/etc/foreman-proxy/settings.yml]: Scheduling refresh of Service[foreman-proxy]

info: /File[/etc/foreman-proxy/settings.yml]: Scheduling refresh of Service[foreman-proxy]

notice: /Stage[main]/Puppet::Server::Service/Service[puppetmaster]: Triggered 'refresh' from 7 eve

nts

notice: /File[/etc/sudoers.d/foreman-proxy]/ensure: created

info: /File[/etc/sudoers.d/foreman-proxy]: Scheduling refresh of Service[foreman-proxy]
notice: /Stage[main]/Foreman_proxy::Service/Service[foreman-proxy]/ensure: ensure changed 'stopped

' to 'running'

info: /Stage[main]/Foreman_proxy::Service/Service[foreman-proxy]: Unscheduling refresh on Service[

foreman-proxy]

notice: /Stage[main]/Foreman::Config::Enc/File[/var/lib/puppet/yaml]/ensure: created

notice: /File[/var/lib/puppet/yaml/foreman]/ensure: created

notice: /File[/etc/puppet/node.rb]/ensure: defined content as '{md5}7f33c5a71151de695a5e9a95a36b07

ff'

notice: /Stage[main]/Tftp::Install/Package[tftp-server]/ensure: created

notice: /Stage[main]/Tftp::Install/Package[syslinux]/ensure: created

notice: /File[/etc/tftpd.map]/ensure: defined content as '{md5}e25509e3ae895f72cf1671b614890797'

info: /File[/etc/tftpd.map]: Scheduling refresh of Service[xinetd]

info: FileBucket adding {md5}678efd3887a91cd4e0955aa6c8b12257

info: /File[/etc/xinetd.d/tftp]: Filebucketed /etc/xinetd.d/tftp to puppet with sum 678efd3887a91c

d4e0955aa6c8b12257

notice: /File[/etc/xinetd.d/tftp]/content: content changed '{md5}678efd3887a91cd4e0955aa6c8b12257'

 to '{md5}048ae40e806063b3c64d145ce6b89e8f'

info: /File[/etc/xinetd.d/tftp]: Scheduling refresh of Service[xinetd]

notice: /File[/var/lib/tftpboot//menu.c32]/ensure: defined content as '{md5}73308b382ddddfb212de61

895648d765'

notice: /File[/var/lib/tftpboot//pxelinux.0]/ensure: defined content as '{md5}869e4a77638e71c9d704

2a55fcfb9992'

notice: /File[/var/lib/tftpboot//pxelinux.cfg]/ensure: created

notice: /Stage[main]/Xinetd::Service/Service[xinetd]/ensure: ensure changed 'stopped' to 'running'

info: /Stage[main]/Xinetd::Service/Service[xinetd]: Unscheduling refresh on Service[xinetd]

notice: /File[/var/lib/tftpboot//chain.c32]/ensure: defined content as '{md5}a068c7ca7159b708c34a1

389c5e75ba0'

notice: /File[/var/lib/tftpboot//boot]/ensure: created

notice: /File[/usr/lib/ruby/site_ruby/1.8/puppet/reports/foreman.rb]/ensure: defined content as '{

md5}730bede368b284e7a08ad16ad671861d'

notice: /Stage[main]/Foreman::Install/Foreman::Install::Repos[foreman]/Yumrepo[foreman]/descr: des

cr changed 'foreman' to 'Foreman stable repository'

^[[5~

notice: /Stage[main]/Foreman::Install/Package[foreman-sqlite3]/ensure: created

info: /Stage[main]/Foreman::Install/Package[foreman-sqlite3]: Scheduling refresh of Service[forema

n]

notice: /File[foreman_vhost]/ensure: defined content as '{md5}b5c3bfe3253f979cd74054c2c27bc431'

info: /File[foreman_vhost]: Scheduling refresh of Exec[reload-apache]

notice: /Stage[main]/Apache::Service/Exec[reload-apache]: Triggered 'refresh' from 4 events

info: FileBucket adding {md5}04c5aba3a22138e4099dbf41b7e13181

info: /File[/etc/sysconfig/foreman]: Filebucketed /etc/sysconfig/foreman to puppet with sum 04c5ab

a3a22138e4099dbf41b7e13181

notice: /File[/etc/sysconfig/foreman]/content: content changed '{md5}04c5aba3a22138e4099dbf41b7e13

181' to '{md5}7d7028d99ae5c1a84fec4aa374c6919a'

info: /File[/etc/sysconfig/foreman]: Scheduling refresh of Service[foreman]

info: FileBucket adding {md5}5302309044bd1413f28252d10f8c41cf

info: /File[/etc/foreman/settings.yaml]: Filebucketed /etc/foreman/settings.yaml to puppet with su

m 5302309044bd1413f28252d10f8c41cf

notice: /File[/etc/foreman/settings.yaml]/content: content changed '{md5}5302309044bd1413f28252d10

f8c41cf' to '{md5}e624a329e4a7c66f4ea5a02f1f9cc194'

notice: /File[/etc/foreman/settings.yaml]/owner: owner changed 'root' to 'foreman'

info: /File[/etc/foreman/settings.yaml]: Scheduling refresh of Service[foreman]

info: /File[/etc/foreman/settings.yaml]: Scheduling refresh of Service[foreman]

info: /File[/etc/foreman/settings.yaml]: Scheduling refresh of Service[foreman]

info: /File[/etc/foreman/settings.yaml]: Scheduling refresh of Service[foreman]

notice: /Stage[main]/Foreman::Service/Service[foreman]: Triggered 'refresh' from 6 events

info: Creating state file /var/lib/puppet/state/state.yaml

notice: Finished catalog run in 316.48 seconds

 Okay, you're all set! Check

/usr/share/foreman-installer/foreman_installer/answers.yaml for your

config.

Related issues:

Is duplicate of Installer - Bug #2442: Foreman Installer requires puppet-serv... Resolved 04/29/2013
History

#1 - 04/30/2013 03:11 PM - Ohad Levy

and maybe worth mentioning that at the end, I had no dhcp settings nor dhcp turned on in the proxy settings

#2 - 04/30/2013 03:29 PM - Dominic Cleal

- Status changed from New to Closed

Dupe of #2442, looks fairly severe..
